Skip to content

Clients

End of Sale Announcement

Effective May 1, 2026, Okta will no longer sell or renew Advanced Server Access. Existing customers must migrate to Okta Privileged Access within one year of their next scheduled renewal date to maintain service. Read the FAQ | Learn about Okta Privileged Access

List all Clients

Request

Admin roles:
  • access_user
  • access_admin
  • reporting_user

Returns a list of Clients for your Team. By default, this only returns Clients associated with the requesting User. Use query parameters to adjust the list of returned Clients.

Security
bearerAuth
Path
team_namestringrequired

The name of your Team

Query
offsetstring

The UUID of an object used as an offset for pagination

countinteger, (int32)

Controls the number of objects listed per page

descendingboolean

If 'true', the most recent results are listed first

prevboolean

Controls the direction of paging

allboolean

If 'true', returns all Clients enrolled in your Team

statestring

If defined, results only include Clients with the specified status. Possible values: 'ACTIVE', 'PENDING', or 'DELETED'.

usernamestring

If defined, results include Clients assigned to the specified User. If an empty string is defined, the results include all unassigned Clients.

curl -i -X GET \
  'https://app.scaleft.com/v1/teams/{team_name}/clients?offset=string&count=0&descending=true&prev=true&all=true&state=string&username=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Headers
Bodyapplication/json
listArray of objects(Client)
Response
{ "list": [ { … }, { … } ] }